# Search for a specific phone number This endpoint allows you to enter a specific phone number to check if it's available for use. A 200 response will return the number's capability, setup costs, monthly costs and if supporting documentation is required. Endpoint: GET /v1/projects/{projectId}/availableNumbers/{phoneNumber} Version: 1.0.3 Security: Basic, OAuth2.0 ## Path parameters: - `projectId` (string, required) Found on your Sinch Customer Dashboard. Settings > Projects. Example: "YOUR_projectId" - `phoneNumber` (string, required) Output only. The phone number in E.164 format with leading +. Example: "+12025550134" ## Response 200 fields (application/json): - `phoneNumber` (string) The phone number in [E.164](https://community.sinch.com/t5/Glossary/E-164/ta-p/7537) format with leading +. Example +12025550134. Example: "+12025550134" - `regionCode` (string) ISO 3166-1 alpha-2 country code of the phone number. Example: US, GB or SE. Example: "US" - `type` (string) The number type. Enum: "MOBILE", "LOCAL", "TOLL_FREE" - `capability` (array) The capability of the number. Enum: "SMS", "VOICE" - `setupPrice` (object) An object giving details on currency code and the amount charged. - `setupPrice.currencyCode` (string) The 3-letter currency code defined in [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html). Example: "USD" - `setupPrice.amount` (string) The amount in decimal form. For example 2.00. There are no guarantees on the precision unless documented by the message origin. The amount cannot be updated and is read-only. Example: "2.00" - `monthlyPrice` (object) An object giving details on currency code and the amount charged. - `paymentIntervalMonths` (integer) How often the recurring price is charged in months. - `supportingDocumentationRequired` (boolean) Whether or not supplementary documentation will be required to complete the number rental. ## Response 400 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 400 - `error.message` (string) - `error.status` (string) Enum: "INVALID_ARGUMENT" - `error.details` (array) - `error.details.type` (string) Enum: "BadRequest" - `error.details.fieldViolations` (array) - `error.details.fieldViolations.field` (string) - `error.details.fieldViolations.description` (string) ## Response 404 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 404 - `error.message` (string) - `error.status` (string) Enum: "NOT_FOUND" - `error.details` (array) - `error.details.type` (string) - `error.details.resourceType` (string) The type of the resource that was not found. - `error.details.resourceName` (string) The name of the resource that was not found. - `error.details.owner` (string) The owner of the resource that was not found. - `error.details.description` (string) A description of the error. ## Response 500 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 500 - `error.message` (string) - `error.status` (string) Enum: "INTERNAL", "UNKNOWN" - `error.details` (array)